Package Details: grig 0.8.1-1

Git Clone URL: (read-only)
Package Base: grig
Description: Rig control (cat) program
Upstream URL:
Licenses: GPL
Submitter: Allan
Maintainer: CarstenF
Last Packager: CarstenF
Votes: 17
Popularity: 0.031098
First Submitted: 2008-12-19 03:40
Last Updated: 2016-02-14 13:26

Latest Comments

maze commented on 2016-02-14 08:29

Hamlib has been upgraded to 3.x, please test.

CarstenF commented on 2015-09-15 11:11

Thanks for your report zekesonxx.
I have added intltool.

vy73 DL1CAF

zekesonxx commented on 2015-09-15 08:35

Please add intltool as a dependency.

CarstenF commented on 2015-02-22 00:50

Package Updated.

Thanks for your help not_anonymous.
vy73 DL1CAF

not_anonymous commented on 2015-02-21 03:53

OR (another way to fix), change the configure to:
LIBS=-lm ./configure --prefix=/usr

not_anonymous commented on 2015-02-21 01:06

AND....(drum roll please).....the fix:
< export LDFLAGS="-lm $LDFLAGS"

not_anonymous commented on 2015-02-21 01:03

/usr/bin/ld: rig-gui-smeter-conv.o: undefined reference to symbol 'sincos@@GLIBC_2.2.5'
/usr/lib/ error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Makefile:367: recipe for target 'grig' failed

CarstenF commented on 2014-07-14 15:19

Hello Everybody
the patch was applied.

Grig now compiles again :-)

vy73 DL1CAF

CarstenF commented on 2014-03-03 14:39

Please add the Patch from "lachesis" then grig works again.

vy 73 DL1CAF

lachesis commented on 2013-07-05 02:46

--- grig-0.8.0/src/main.c 2011-06-27 06:02:28.000000000 -0400
+++ grig- 2013-07-04 22:44:16.086945567 -0400
@@ -182,8 +182,7 @@
the program if threads are not supported... then why doesn''t it work
on FreeBSD?
- if (!g_thread_supported ())
- g_thread_init (NULL);
+ g_thread_init (NULL);

Threads are always supported in modern versions of glib. See

All comments